<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
$theme = $row['theme'];
$login = $row['login'];

echo "<title>Поиск</title>";
if ( 20 < $theme)
{
echo "<link rel=\"StyleSheet\" type=\"text/css\" href=\"style/0".$s.".css\"></head><body><div class=\"logo\"></div>";
}
if ( 0 or 1 or 2 or 3 or 4 or 5  or 6 or 7 or 8 or 9 or 10 == $theme)
{
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";

echo "</style>";
echo "</head>";
echo "<body>";
}
if ( 20 < $theme)
{
echo "<div class=\"title\">";
}
echo "Ну каво искать-то бум? ась?, <b>$login</b>!</br>";
if ( 20 < $theme)
{
echo "</div><div class=\"b\">";
}

$who = check( $who );
if ( empty( $do ) )
{
echo "<div class=t>Поиск</div>";
echo "<form method=\"post\" action=\"search.php\">";
echo "Кого искать?<br/>";
echo "<input type=\"text\" name=\"who\"/><br/>";
echo "<input type=\"hidden\" name=\"do\" value=\"find\"/>";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input value=\"Искать\"  type=\"submit\" class=\"cp\"/>";
echo "</form>";
}
else
{
echo "<div class=t>Результаты поиска</div>";
$who = substr( $who, 0, 30 );
$who = check( $who );
$r = mysql_query( "SELECT id, login from users WHERE login LIKE '%".$who."%' order by id desc limit 10" );
if ( mysql_num_rows( $r ) == 0 )
{
echo "По запросу <b><u>{$who}</u></b> ничего не найдено...<br/>";
}
while ( $a = mysql_fetch_array( $r ) )
{
++$i;
echo "<b>{$i}.\r<a href=\"user.php?id={$id}&amp;pass={$pass}&amp;dbid={$a['id']}\">{$a['login']}</a></b><br/>";
}
}
if ( isset( $do ) )
{
echo "---<br/><a href=\"search.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Искать еще</a><br/>---<br/>";
}
$end = gettime( );
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a>";
echo "<div class=\"bottom\">";  /// Нижний логотип
require("inc/coper.php");        /// Копирайт
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]<p>";echo "<p>{$ip}</p>";
echo "</body></html>";
mysql_close( $link );
?>